GDBserver

Public Attributes | List of all members
pt_watch_regs Struct Reference

`#include "mips-linux-watch.h"`

## Public Attributes
enum pt_watch_style | style
union {
struct mips32_watch_regs mips32
struct mips64_watch_regs mips64
}; |

## Detailed Description

Definition at line 67 of file mips-linux-watch.h.

## Member Data Documentation

## ◆ @40

union { ... }

## ◆ mips32

struct mips32_watch_regs pt_watch_regs::mips32

Definition at line 72 of file mips-linux-watch.h.

Referenced by get_reg_mask(), mips_linux_read_watch_registers(), mips_linux_watch_get_irw_mask(), mips_linux_watch_get_num_valid(), mips_linux_watch_get_watchhi(), mips_linux_watch_get_watchlo(), mips_linux_watch_set_watchhi(), and mips_linux_watch_set_watchlo().

## ◆ mips64

struct mips64_watch_regs pt_watch_regs::mips64

Definition at line 73 of file mips-linux-watch.h.

Referenced by get_reg_mask(), mips_linux_read_watch_registers(), mips_linux_watch_get_irw_mask(), mips_linux_watch_get_num_valid(), mips_linux_watch_get_watchhi(), mips_linux_watch_get_watchlo(), mips_linux_watch_set_watchhi(), and mips_linux_watch_set_watchlo().

## ◆ style

enum pt_watch_style pt_watch_regs::style

Definition at line 69 of file mips-linux-watch.h.

Referenced by get_reg_mask(), mips_linux_read_watch_registers(), mips_linux_watch_get_irw_mask(), mips_linux_watch_get_num_valid(), mips_linux_watch_get_watchhi(), mips_linux_watch_get_watchlo(), mips_linux_watch_set_watchhi(), and mips_linux_watch_set_watchlo().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/mips-linux-watch.h